proxymini(1)

NAME
proxymini - a proxy server that supports HTTP, HTTP CONNECT, SOCKS4 and SOCKS5

SYNOPSIS
proxymini [ -h ] [ -l IP ] [ -L IP ] [ -p PORT ] [ -v ] [ -o FILE ]

DESCRIPTION
Proxy server that fully supports all the following protocols: HTTP, HTTP CONNECT (for HTTPS and so on), SOCKS4 (TCP and TCP bind) and SOCKS5 (TCP, TCP bind and UDP). It's designed to be small and for being used in trusted environments where there is no need of complex or advanced options and other boring things, double click on it and it will work immediately. It supports also some options like binding a specific interfaces for incoming or outgoing connections, custom port to bind (default is 8123), stdout and file verbose logging.

OPTIONS

-h  display a short help text

-l IP
    local interface to bind (default any)

-L IP
    as above but works only for the outgoing socket, this means you can decide to use a secondary interface for connecting to the hosts (for example using a Wireless connection instead of your main one) interface to use for outgoing connections

-p PORT
    local port to bind, default 8123

-v  verbose logging on standard output (default is none)

-o FILE
    logs everything in the file FILE, it's just as -v but for file

EXAMPLES
bind to port 1080 on local host and fork into background

proxymini -l 127.0.0.1 -p 1080 &

AUTHOR
Luigi Auriemma <aluigi@autistici.org>